Bug 238788 - libxslt-devel depends on %{version} but not on %{version}-%{release}
libxslt-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 18:37 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 09:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-05-02 18:37:05 EDT
Description of problem:
libxslt-devel depends on %{version} but not on %{version}-%{release}, please 
fix this with the next build of the package. There can be minor changes which 
could be incompatible after release bumping, so it's save to add %{release}, 
too.

Version-Release number of selected component (if applicable):
libxslt-1.1.20-1

Expected results:
Please apply the following patch or better:

--- snipp ---
--- libxslt.spec         2007-05-03 00:35:19.000000000 +0200
+++ libxslt.spec.rsc     2007-05-03 00:35:31.000000000 +0200
@@ -24,7 +24,7 @@
 %package devel
 Summary: Libraries, includes, etc. to embed the Gnome XSLT engine
 Group: Development/Libraries
-Requires: libxslt = %{version}
+Requires: libxslt = %{version}-%{release}
 Requires: libxml2-devel >= 2.6.27
 Requires: pkgconfig

@@ -37,7 +37,7 @@
 %package python
 Summary: Python bindings for the libxslt library
 Group: Development/Libraries
-Requires: libxslt = %{version}
+Requires: libxslt = %{version}-%{release}
 Requires: libxml2 >= 2.6.27
 Requires: libxml2-python >= 2.6.27

--- snapp ---
Comment 1 Daniel Veillard 2007-05-03 14:16:44 EDT
Fixed in CVS but I didn't rebuilt the package yet,

Daniel
Comment 2 Robert Scheck 2007-07-15 16:43:34 EDT
This bug is NOT fixed in 1.1.21-1, reopening.
Comment 3 Daniel Veillard 2007-07-26 09:18:38 EDT
I HAD fixed it, in CVS. The changes were possibly lost during Fedora migration.
Fixed again in CVS, for both libxml2 and libxslt, this will be
propagated in the next builds hopefully

Daniel

Note You need to log in before you can comment on or make changes to this bug.